Subject: Re: bug#66041: 30.0.50; Should 'flymake-note-echo' inherit from 'compilation-info'?

From: Eli Zaretskii <[email-masked]>
Date: Mon, 18 Sep 2023 17:32:08 +0300

> From: João Távora <[email-masked]>
> Date: Mon, 18 Sep 2023 13:52:06 +0100
> Cc: [email-masked], [email-masked]
> 
> On Mon, Sep 18, 2023 at 12:42 PM Eli Zaretskii <[email-masked]> wrote:
> >
> > You have there two overlays, each one with a before-string, and each
> > string has its first character propertized with (cursor t).  So Emacs
> > picks up one of the two overlay strings to place the cursor, and it
> > just happens to be not the one you wanted.
> 
> Yes, something like that.  Skimming the code, I think I meant for only
> one overlay, not two, to be the end-of-line overlay containing the two
> strings.  But this was tricky to implement and I probably missed an
> edge case.  There is a FIXME there, have to investigate.
> 
> Anyway, since I have your interest, any suggestions on how you would
> implement this? Knowing that this feature is upposed to display
> multiple pieces of relatively short cursor-unreachable text visually
> after the end -of-line (the text being the diagnostic text, naturally).

I guess you want the cursor on the first character of the
overlay-string that is displayed first (leftmost)?  Are you asking how
to implement this when there are more than one overlay at EOB?

> Currently I'm placing them exactly between (line-end-position) and the
> character after that.  There is a link between this eol overlay and
> the origin diagnostic.  If you delete the latter, the former should
> be recalculated asap, i.e. it should ideally not wait another 1s or two
> before Flymake re-contacts the backend for up-to-date info.

This seems to hint that you are talking about something different, so
maybe I misunderstand what you mean by "implement this" above?